CoE Training Course - "Interactive HPC with JupyterLab"
===================================================

## General Information

Interactive exploration and analysis of large amounts of data from scientific simulations, in-situ visualization and application control are convincing scenarios for explorative sciences. Based on the open source software JupyterLab, a way has been available for some time now that combines interactive with reproducible computing while at the same time meeting the challenges of support for the wide range of different workflows. The approach enables the creation of documents that combine live code with narrative text, mathematical equations, visualizations, interactive controls, and other extensive output.

However, a number of challenges must be mastered in order to make existing workflows ready for interactive high-performance computing. With so many possibilities, it's easy to lose sight of the big picture. The course offers an introduction to the world of possibilities of JupyterLab.

The following topics are covered:
- Introduction to JupyterLab
- Customizing JupyterLab
- JupyterLab on HPC resources
- Jupyter-JSC under the hood 

### Main Data:
**date:**  
  26+27 Mai 2021
  09:00-13:00

**venue:**  
  Online, Zoom  
  Registration: https://zoom.us/meeting/register/tJ0qfuyqqzMvHdS5PBZzhSXkMk1Se3rim1Wa  
  Meeting-ID: -  
  Password: -  

**instructors:**  
  Jens Henrik Göbbert, j.goebbert@fz-juelich.de  

**contents level:**  
  Beginner's contents:    20 %  
  Intermediate contents:  80 %  

**prerequisites:**  
  Experience in Python  

**workshop materials:**  
  GitLab repository: https://gitlab.version.fz-juelich.de/jupyter4jsc/CoE-2021.05-jupyter4hpc  
  shared notes: https://gitlab.version.fz-juelich.de/hedgedoc/oo2I4aZHSKO5elJJOLPk3w?view  

### Agenda:
 - day 1: JupyterLab Introduction
     - 9:00 - 11:00
         - Welcome and Login
         - Introducing JupyterLab
     - 11:00 - 11:30
         - Break
     - 11:30 - 13:00
         - JupyterLab extensions tour
         - Customizing your environment
         
 - day 2: Jupyterlab for HPC
     - 9:00 - 11:00
         - Welcome and Login
         - Build your own kernels
         - Using JupyterLab as Proxy
     - 11:00 - 11:30
         - Break
     - 11:30 - 13:00
         - Utilizing supercomputers with JupyterLab
         - Jupyter-JSC under the hood
